org.apache.activemq.artemis.selector.filter

## Class XPathExpression

- java.lang.Object
- - org.apache.activemq.artemis.selector.filter.XPathExpression

- All Implemented Interfaces:
    BooleanExpression, Expression

      public final class XPathExpression
      extends Object
      implements BooleanExpression

  Used to evaluate an XPath Expression in a JMS selector.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `XPathExpression.XPathEvaluator`
    `static interface` | `XPathExpression.XPathEvaluatorFactory`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static XPathExpression.XPathEvaluatorFactory` | `XPATH_EVALUATOR_FACTORY`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `evaluate(Filterable message)`
    `boolean` | `matches(Filterable message)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### XPATH_EVALUATOR_FACTORY

          public static XPathExpression.XPathEvaluatorFactory XPATH_EVALUATOR_FACTORY

  - ### Method Detail

    - #### evaluate

          public Object evaluate(Filterable message)
                          throws FilterException

      Specified by:
        `evaluate` in interface `Expression`
      Returns:
        the value of this expression
      Throws:
        `FilterException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### matches

          public boolean matches(Filterable message)
                          throws FilterException

      Specified by:
        `matches` in interface `BooleanExpression`
      Parameters:
        `message` -
      Returns:
        true if the expression evaluates to Boolean.TRUE.
      Throws:
        `FilterException`

Copyright © 2018 The Apache Software Foundation. All rights reserved.